Package Details: python-tflite-runtime 2.5.0.post1-1

Git Clone URL: https://aur.archlinux.org/python-tflite-runtime.git (read-only, click to copy)
Package Base: python-tflite-runtime
Description: TensorFlow Lite Python bindings
Upstream URL: https://www.tensorflow.org/lite/
Licenses: Apache
Submitter: benalexau
Maintainer: benalexau
Last Packager: benalexau
Votes: 1
Popularity: 0.21
First Submitted: 2021-08-24 06:42
Last Updated: 2021-08-24 06:42

Latest Comments

benalexau commented on 2022-01-04 22:01

@ArchiVie, this is blocked pending https://github.com/tensorflow/tensorflow/issues/52324.

ArchVie commented on 2022-01-03 11:06

When trying to install the package I get the following error:

Looking in indexes: https://pypi.org/simple, https://google-coral.github.io/py-repo/
ERROR: Could not find a version that satisfies the requirement tflite_runtime==2.5.0.post1
ERROR: No matching distribution found for tflite_runtime==2.5.0.post1

Dulbi commented on 2021-09-10 12:45

I understand your remarks. Leave it like that then.

benalexau commented on 2021-09-09 23:36

Now I understand what you are asking.

The official documentation for Tensorflow Lite shows its use as import tflite_runtime.interpreter as tflite. In turn other projects, such as python-pycoral (also in AUR), also use it that way.

I think it's probably best to leave it as-is given that aligns with both upstream docs and downstream users.

Dulbi commented on 2021-09-09 13:14

@benalexau to show you what I meant I would add a new line before the last one : sed -i '2s/Name: tfliter-runtime/Name: tfliter_runtime/' $pkgdir/"$sitepackages"/"tflite_runtime"-"$pkgver".dist-info/METADATA

benalexau commented on 2021-09-09 11:49

@Dulbi if you shoot me over a replacement PKGBUILD or diff that shows what you'd like I am happy to apply it. My email is in my profile if that's easier for you too.

Dulbi commented on 2021-09-09 09:24

@benalexau I'm not requesting to rename the package name BUT the module name shown inside pip : When you list all availables module with pip ("pip list") it is listed as 'tflite-runtime' (with a hyphen as written in the second line in $pkgdir/"$sitepackages"/tflite_runtime-2.5.0.post1.dist-info/METADATA). When you want to use it in python, you must write : "import tflite_runtime" (with an underscore)

So, the fix I'm requesting is just a "typo" to rename one name on the second line of a file in the package when it's installed to be consistent. But I don't know if it is relevant for an PKGBUILD to do so. Afterwards, if you think also that the package name should be consistent too, it's up to you.

benalexau commented on 2021-09-09 03:34

@Dulbi are you requesting this AUR package is renamed from python-tflite-runtime to python-tflite_runtime?

The Arch Python Package Guidelines simply state it should be python-modulename. It is silent on whether to preserve an underscore or convert to a hyphen.

I converted it to a hyphen because python- is the prefix and it felt more natural. It seems only 1% of Python packages in the Arch repos have an underscore:

$ pacman -Ss python-|grep _|wc -l
38
$ pacman -Ss python-|wc -l
3406

As such I think it's probably OK to keep it the way it currently is, but if you have a link to an Arch guideline that indicates it should be an underscore I'm very happy to have a look.

Dulbi commented on 2021-09-08 13:36

When you list packages with pip, this one is listed as 'tflite-runtime' (which refers to the second line in site-packages/tflite_runtime-2.5.0.post1.dist-info/METADATA). But you import it you must use 'tfline_runtime'. Is it possible to fix it ?